<?php

defined('TYPO3_MODE') or die();

$tca = array(
	'ctrl' => array(
		'type' => 'file:type'
	),
	'types' => array(
		1 => array(
			'showitem' => '
				fileinfo, title, description, alternative,
				period, publish_year
			',
		)
	),
	'palettes' => array(),
	'columns' => array(
		'period' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:rtg_filemetadata/Resources/Private/Language/locallang_tca.xlf:sys_file_metadata.period',
			'config' => array(
				'type' => 'select',
				'renderType' => 'selectSingle',
				'items' => array(
					array('', 0),
					array('LLL:EXT:rtg_filemetadata/Resources/Private/Language/locallang_tca.xlf:sys_file_metadata.period.1', 1),
					array('LLL:EXT:rtg_filemetadata/Resources/Private/Language/locallang_tca.xlf:sys_file_metadata.period.2', 2	)
				),
				'showIconTable' => false
			),
		),
		'publish_year' => array(
			'exclude' => 1,
			'l10n_mode' => 'exclude',
			'l10n_display' => 'defaultAsReadonly',
			'label' => 'LLL:EXT:rtg_filemetadata/Resources/Private/Language/locallang_tca.xlf:sys_file_metadata.publish_year',
			'config' => array(
				'type' => 'input',
				'size' => 4,
				'max' => 6,
				'eval' => 'year'
			),
		)
	)
);

$GLOBALS['TCA']['sys_file_metadata'] = array_replace_recursive($GLOBALS['TCA']['sys_file_metadata'], $tca);

// Add category tab if categories column is present
if (isset($GLOBALS['TCA']['sys_file_metadata']['columns']['categories'])) {
	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addToAllTCAtypes(
		'sys_file_metadata',
		'--div--;LLL:EXT:lang/locallang_tca.xlf:sys_category.tabs.category,categories'
	);
}
