<?php

defined('TYPO3_MODE') or die();

$tempColumns = array(
	'period' => array(
		'exclude' => 1,
		'label' => 'LLL:EXT:rtg_filemetadata/Resources/Private/Language/locallang_tca.xlf:sys_file_metadata.period',
		'config' => array(
			'type' => 'select',
			'renderType' => 'selectSingle',
			'items' => array(
				array('', 0),
				array('LLL:EXT:rtg_filemetadata/Resources/Private/Language/locallang_tca.xlf:sys_file_metadata.period.1', 1),
				array('LLL:EXT:rtg_filemetadata/Resources/Private/Language/locallang_tca.xlf:sys_file_metadata.period.2', 2	)
			),
			'showIconTable' => false
		),
	),
	'publish_year' => array(
		'exclude' => 1,
		'l10n_mode' => 'exclude',
		'l10n_display' => 'defaultAsReadonly',
		'label' => 'LLL:EXT:rtg_filemetadata/Resources/Private/Language/locallang_tca.xlf:sys_file_metadata.publish_year',
		'config' => array(
			'type' => 'input',
			'size' => 4,
			'max' => 6,
			'eval' => 'year'
		),
	)
);

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTCAcolumns('sys_file_reference', $tempColumns);
// \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addToAllTCAtypes('sys_file_reference', '--linebreak--, period, publish_year', '', 'after:description');
    
$GLOBALS['TCA']['sys_file_reference']['palettes']['documentPalette'] = array(
	'showitem' => 'title, description, --linebreak--, period, publish_year'
);
